aboutsummaryrefslogtreecommitdiff
path: root/multimedia/haruna/haruna.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/haruna/haruna.SlackBuild')
-rw-r--r--multimedia/haruna/haruna.SlackBuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/multimedia/haruna/haruna.SlackBuild b/multimedia/haruna/haruna.SlackBuild
index e6b60e2267dad..dd69ba3bf828b 100644
--- a/multimedia/haruna/haruna.SlackBuild
+++ b/multimedia/haruna/haruna.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=haruna
-VERSION=${VERSION:-0.9.3}
+VERSION=${VERSION:-0.10.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -77,6 +77,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# patches
+if [ -d $CWD/patches ]; then
+ for file in $CWD/patches/* ; do
+ if [ -f $file ]; then
+ zcat $file | patch -p1 --verbose || exit 1
+ fi
+ done
+fi
+
mkdir build
cd build
cmake \